# -*- puppet -*-

exec { 'apt-get update':
  command => 'apt-get update -qq',
  path    => [ '/usr/bin', '/usr/sbin', '/bin', '/sbin' ],
}

if ($::lsbdistid == 'Debian') {
  class { 'pdagent':
    apt_location => 'http://mirror.vpgrp.io/debian-pagerduty',
    package      => true,
    service      => true,
    require      => Exec['apt-get update'],
  }
}

if ($::lsbdistid == 'Ubuntu') {
  class { 'pdagent':
    apt_location => 'http://mirror.vpgrp.io/ubuntu-pagerduty',
    package      => true,
    service      => true,
    require      => Exec['apt-get update'],
  }
}
# EOF
